petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatMatSolveTranspose

Solves A^T X = B, given a factored matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMatSolveTranspose(Mat A,Mat B,Mat X)

Neighbor-wise Collective on Mat

### Input Parameters

| A | - the factored matrix
| B | - the right-hand-side matrix (dense matrix)

### Output Parameter

X -the result matrix (dense matrix)

### Notes

The matrices B and X cannot be the same. I.e., one cannot call MatMatSolveTranspose(A,X,X).

### Notes

Most users should usually employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate(). However KSP can only solve for one vector (column of X) at a time.

When using SuperLU_Dist or MUMPS as a parallel solver, PETSc will use their functionality to solve multiple right hand sides simultaneously.

### See Also

MatMatSolve(), MatLUFactor(), MatCholeskyFactor()

### Level

developer

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages